import 'package:flutter/material.dart';
import 'package:flutter_picker/flutter_picker.dart';

/// CustomPickerAdapter
///
/// Use this adapter to customize the date picker item.
/// [buildItemWidget] A function which takes the text to show in the picker and returns the widget.
class CustomPickerAdapter<T> extends PickerDataAdapter<T> {
  Function(String) buildItemWidget;

  CustomPickerAdapter({List pickerdata, data, isArray = false, this.buildItemWidget})
      : super(pickerdata: pickerdata, data: data, isArray: isArray);

  @override
  Widget makeText(Widget child, String text) {
    return buildItemWidget != null
        ? buildItemWidget(text)
        : super.makeText(child, text);
  }
}
